--- /dev/null Thu Jan 01 00:00:00 1970 +0000
+++ b/marking1/mk Tue Dec 05 00:34:14 2017 +0000
@@ -0,0 +1,35 @@
+#!/bin/sh
+###set -e
+
+trap "exit" INT
+
+files=${1:-assignment20176-*}
+
+for sd in $files; do
+ cd $sd
+ echo $sd
+ touch .
+ cp ../../../marking1/collatz_test.sh .
+ cp ../../../marking1/collatz_test1.scala .
+ cp ../../../marking1/collatz_test2.scala .
+ cp ../../../marking1/alcohol_test.sh .
+ cp ../../../marking1/alcohol.csv .
+ cp ../../../marking1/population.csv .
+ cp ../../../marking1/alcohol_test1.scala .
+ cp ../../../marking1/alcohol_test2.scala .
+ cp ../../../marking1/alcohol_test3.scala .
+ ./collatz_test.sh output
+ ./alcohol_test.sh output
+ rm collatz_test.sh
+ rm collatz_test1.scala
+ rm collatz_test2.scala
+ rm alcohol_test.sh
+ rm alcohol.csv
+ rm population.csv
+ rm alcohol_test1.scala
+ rm alcohol_test2.scala
+ rm alcohol_test3.scala
+ cd ..
+done
+
+